package com.syjy.calculate.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 计算公式
 *
 * @author zcl
 * @version 1.0
 * @since 2022/8/02 10:16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class tCalculationFormula implements Serializable  {

    /**
     * 公式编号（运维标识，主键）
     */
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 公式类型
     */

    private String type;

    /**
     * 公式执行顺序
     */

    private Integer orderNo;

    /**
     * 公式内容
     */

    private String formula;

    /**
     * 上报省调
     */

    private String provinceEnum;

    /**
     * 状态
     */

    private String state;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    private String creator;

    private String lastModifier;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date lastModifyTime;
}
